%{?build_jakarta}%{?!build_jakarta:%bcond_with jakarta}

%bcond_with bootstrap

%if %with bootstrap
%global build_javadoc        0
%global build_tests          0
%else
%global build_javadoc        1
%global build_tests          1
%endif

%global with_manifest_only 0

%global ant_home %{_datadir}/ant

%global major_version 1.8

Summary:	Build tool for java
Name:		ant
Version:	1.9.9
Release:	1
Epoch:		0
License:	ASL 2.0
Group:		Development/Java
Url:		http://ant.apache.org/
Source0:	http://www.apache.org/dist/ant/source/apache-ant-%{version}-src.tar.bz2
Source2:	apache-ant-%{major_version}.ant.conf

# Fix some places where copies of classes are included in the wrong jarfiles
Patch4:         apache-ant-class-path-in-manifest.patch
Patch5:         apache-ant-1.9.4-junit-no-threads.patch

BuildRequires:	jpackage-utils >= 0:1.7.5
BuildRequires:	java-1.8.0-openjdk-devel
BuildRequires:	java-rpmbuild
%if %without bootstrap
BuildRequires:	ant
BuildRequires:	junit4
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
%endif

Requires:	jpackage-utils >= 0:1.7.5
Requires:	java-1.8.0-openjdk-devel
%if %without bootstrap
Requires:	xerces-j2
%endif

BuildArch:	noarch
Provides:	%{name} = %{EVRD}
Provides:	ant-nodeps = %{EVRD}


%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%files
%doc KEYS LICENSE NOTICE README WHATSNEW
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root) %{_bindir}/antRun
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-launcher.jar
%{_javadir}/%{name}-bootstrap.jar
%dir %{_javadir}/%{name}
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%if %without bootstrap
%{ant_home}/etc/common2master.xsl
%{ant_home}/etc/printFailingTests.xsl
%endif
%dir %{ant_home}/lib
%{ant_home}/lib/%{name}.jar
%{ant_home}/lib/%{name}-launcher.jar
%{ant_home}/lib/%{name}-bootstrap.jar
%dir %{_sysconfdir}/%{name}.d
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#----------------------------------------------------------------------------

%package jmf
Summary:	Optional jmf tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}

%description jmf
Optional jmf tasks for %{name}.

%files jmf
%{_javadir}/%{name}/%{name}-jmf.jar
%{ant_home}/lib/%{name}-jmf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jmf

#----------------------------------------------------------------------------

%package swing
Summary:	Optional swing tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Provides:	ant-swing = %{EVRD}

%description swing
Optional swing tasks for %{name}.

%files swing
%{_javadir}/%{name}/%{name}-swing.jar
%{ant_home}/lib/%{name}-swing.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/swing

#----------------------------------------------------------------------------

%if %without bootstrap
%if %{with_manifest_only}
%package manifest-only
Summary:	Manifest-only jars for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Provides:	%{name}-icontract = %{EVRD}
Provides:	%{name}-netrexx = %{EVRD}
Provides:	%{name}-starteam = %{EVRD}
Provides:	%{name}-stylebook = %{EVRD}
Provides:	%{name}-vaj = %{EVRD}
Provides:	%{name}-weblogic = %{EVRD}
Provides:	%{name}-xalan1 = %{EVRD}
Provides:	%{name}-xslp = %{EVRD}

%description manifest-only
Manifest-only jars for %{name}.

%files manifest-only
%{_javadir}/%{name}/ant-icontract.jar
%{_javadir}/%{name}/ant-netrexx.jar
%{_javadir}/%{name}/ant-starteam.jar
%{_javadir}/%{name}/ant-stylebook.jar
%{_javadir}/%{name}/ant-vaj.jar
%{_javadir}/%{name}/ant-weblogic.jar
%{_javadir}/%{name}/ant-xalan1.jar
%{_javadir}/%{name}/ant-xslp.jar
%endif
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package antlr
Summary:	Optional antlr tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	antlr
BuildRequires:	antlr
Provides:	ant-antlr = %{EVRD}

%description antlr
Optional antlr tasks for %{name}.

%files antlr
%{_javadir}/%{name}/%{name}-antlr.jar
%{ant_home}/lib/%{name}-antlr.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/antlr
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-bsf
Summary:	Optional apache bsf tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	bsf
BuildRequires:	bsf
Provides:	ant-apache-bsf = %{EVRD}

%description apache-bsf
Optional apache bsf tasks for %{name}.

%files apache-bsf
%{_javadir}/%{name}/%{name}-apache-bsf.jar
%{ant_home}/lib/%{name}-apache-bsf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bsf
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-resolver
Summary:	Optional apache resolver tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	xml-commons-resolver
BuildRequires:	xml-commons-resolver
Provides:	ant-apache-resolver = %{EVRD}

%description apache-resolver
Optional apache resolver tasks for %{name}.

%files apache-resolver
%{_javadir}/%{name}/%{name}-apache-resolver.jar
%{ant_home}/lib/%{name}-apache-resolver.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-resolver
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package commons-logging
Summary:	Optional commons logging tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-logging
Provides:	ant-commons-logging = %{EVRD}

%description commons-logging
Optional commons logging tasks for %{name}.

%files commons-logging
%{_javadir}/%{name}/%{name}-commons-logging.jar
%{ant_home}/lib/%{name}-commons-logging.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-logging
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package commons-net
Summary:	Optional commons net tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
%if %{with jakarta}
Requires:	jakarta-commons-net
BuildRequires:	jakarta-commons-net
%else
Requires:	apache-commons-net
BuildRequires:	apache-commons-net
%endif
Provides:	ant-commons-net = %{EVRD}

%description commons-net
Optional commons net tasks for %{name}.

%files commons-net
%{_javadir}/%{name}/%{name}-commons-net.jar
%{ant_home}/lib/%{name}-commons-net.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-net
%endif

#----------------------------------------------------------------------------

# Disable because we don't ship the dependencies
%if 0
%package jai
Summary:	Optional jai tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	jai
BuildRequires:	jai
Provides:	ant-jai = %{EVRD}

%description jai
Optional jai tasks for %{name}.

%files jai
%{_javadir}/%{name}/%{name}-jai.jar
%{ant_home}/lib/%{name}-jai.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jai
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-bcel
Summary:	Optional apache bcel tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	bcel
BuildRequires:	bcel
Provides:	ant-apache-bcel = %{EVRD}
Provides:	ant-jakarta-bcel = %{EVRD}
Obsoletes:	ant-jakarta-bcel < %{EVRD}

%description apache-bcel
Optional apache bcel tasks for %{name}.

%files apache-bcel
%{_javadir}/%{name}/%{name}-apache-bcel.jar
%{ant_home}/lib/%{name}-apache-bcel.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bcel
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-log4j
Summary:	Optional apache log4j tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	log4j
BuildRequires:	log4j
Provides:	ant-apache-log4j = %{EVRD}
Provides:	ant-jakarta-log4j = %{EVRD}
Obsoletes:	ant-jakarta-log4j < %{EVRD}

%description apache-log4j
Optional apache log4j tasks for %{name}.

%files apache-log4j
%{_javadir}/%{name}/%{name}-apache-log4j.jar
%{ant_home}/lib/%{name}-apache-log4j.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-log4j
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-oro
Summary:	Optional apache oro tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	jakarta-oro
BuildRequires:	jakarta-oro
Provides:	ant-apache-oro = %{EVRD}
Provides:	ant-jakarta-oro = %{EVRD}
Obsoletes:	ant-jakarta-oro < %{EVRD}

%description apache-oro
Optional apache oro tasks for %{name}.

%files apache-oro
%{_javadir}/%{name}/%{name}-apache-oro.jar
%{ant_home}/lib/%{name}-apache-oro.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-regexp
Summary:	Optional apache regexp tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	regexp
BuildRequires:	regexp
Provides:	ant-apache-regexp = %{EVRD}
Provides:	ant-jakarta-regexp = %{EVRD}
Obsoletes:	ant-jakarta-regexp < %{EVRD}

%description apache-regexp
Optional apache regexp tasks for %{name}.

%files apache-regexp
%{_javadir}/%{name}/%{name}-apache-regexp.jar
%{ant_home}/lib/%{name}-apache-regexp.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-regexp
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package apache-xalan2
Summary:	Optional apache xalan2 tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	regexp
BuildRequires:	regexp
Requires:	xalan-j2
Provides:	ant-apache-xalan2 = %{EVRD}

%description apache-xalan2
Optional apache xalan2 tasks for %{name}.

%files apache-xalan2
%{_javadir}/%{name}/%{name}-apache-xalan2.jar
%{ant_home}/lib/%{name}-apache-xalan2.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-xalan2
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package javamail
Summary:	Optional javamail tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	javamail >= 0:1.2-5jpp
BuildRequires:	javamail >= 0:1.2-5jpp
Provides:	ant-javamail = %{EVRD}

%description javamail
Optional javamail tasks for %{name}.

%files javamail
%{_javadir}/%{name}/%{name}-javamail.jar
%{ant_home}/lib/%{name}-javamail.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/javamail
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package jdepend
Summary:	Optional jdepend tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	jdepend
BuildRequires:	jdepend
Provides:	ant-jdepend = %{EVRD}

%description jdepend
Optional jdepend tasks for %{name}.

%files jdepend
%{_javadir}/%{name}/%{name}-jdepend.jar
%{ant_home}/lib/%{name}-jdepend.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package jsch
Summary:	Optional jsch tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	jsch
BuildRequires:	jsch
Provides:	ant-jsch = %{EVRD}

%description jsch
Optional jsch tasks for %{name}.

%files jsch
%{_javadir}/%{name}/%{name}-jsch.jar
%{ant_home}/lib/%{name}-jsch.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jsch
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package junit
Summary:	Optional junit tasks for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	junit4
Requires:	xalan-j2
Provides:	ant-junit = %{EVRD}

%description junit
Optional junit tasks for %{name}.

%files junit
%{_javadir}/%{name}/%{name}-junit.jar
%{_javadir}/%{name}/%{name}-junit4.jar
%{ant_home}/lib/%{name}-junit.jar
%{ant_home}/lib/%{name}-junit4.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/junit
%config(noreplace) %{_sysconfdir}/%{name}.d/junit4
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%endif

#----------------------------------------------------------------------------

%package testutil
Summary:	Test utility classes for %{name}
Group:		Development/Java
Requires:	%{name} = %{EVRD}
Requires:	junit4
Provides:	ant-testutil = %{EVRD}

%description testutil
Test utility tasks for %{name}.

%files testutil
%config(noreplace) %{_sysconfdir}/%{name}.d/testutil

#----------------------------------------------------------------------------

%if %without bootstrap
%package scripts
Summary:	Additional scripts for %{name}
Group:		Development/Java
AutoReqProv:	no
Requires:	%{name} = %{EVRD}
Requires:	perl
Requires:	python

%description scripts
Additional Perl and Python scripts for %{name}.

%files scripts
%attr(0755,root,root) %{_bindir}/*.pl
%attr(0755,root,root) %{_bindir}/*.py*
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%files manual
%doc manual/*
%endif

#----------------------------------------------------------------------------

%if %without bootstrap
%if %{build_javadoc}
%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%files javadoc
%{_javadocdir}/%{name}
%endif
%endif

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-ant-%{version}
#Fixup version
find -name build.xml -o -name pom.xml | xargs sed -i -e s/-SNAPSHOT//

# Fix class-path-in-manifest rpmlint warning
%patch4

%patch5 -p1

# clean jar files
find . -name "*.jar" | %{_bindir}/xargs -t rm

# failing testcases. TODO see why
rm src/tests/junit/org/apache/tools/ant/types/selectors/SignedSelectorTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/condition/IsFileSelectedTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/condition/IsSignedTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/JarTest.java \
   src/tests/junit/org/apache/tools/mail/MailMessageTest.java

#install jars
%if %without bootstrap
build-jar-repository -s -p lib/optional antlr bcel javamail/mailapi jdepend junit4 log4j oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver xalan-j2-serializer xerces-j2 xml-commons-apis
%endif

# Fix file-not-utf8 rpmlint warning
iconv KEYS -f iso-8859-1 -t utf-8 -o KEYS.utf8
mv KEYS.utf8 KEYS
iconv LICENSE -f iso-8859-1 -t utf-8 -o LICENSE.utf8
mv LICENSE.utf8 LICENSE

%build
%if %without bootstrap
ant jars
#test-jar
%if %{build_javadoc}
export CLASSPATH=$(build-classpath xerces-j2 antlr bcel javamail/mailapi jdepend junit4 log4j oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver)
ant javadocs
%endif
%else
export JAVA_HOME=%{java_home}
export CLASSPATH=$JAVA_HOME/lib/tools.jar
sh ./build.sh --noconfig jars
%endif

#remove empty jai and netrexx jars. Due to missing dependencies they contain only manifests.
rm -fr build/lib/ant-jai.jar build/lib/ant-netrexx.jar
# -----------------------------------------------------------------------------

%install
# ANT_HOME and subdirs
mkdir -p %{buildroot}%{ant_home}/{lib,etc}

# jars
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_mavenpomdir}

for jar in build/lib/*.jar
do
  jarname=$(basename $jar .jar)
  pomname="JPP.%{name}-${jarname}.pom"

  #Determine where to put it
  case $jarname in
#These go into %%{_javadir}, pom files have different names
  ant | ant-bootstrap | ant-launcher) destdir=%{buildroot}%{_javadir}; destname="";pomname="JPP-$jarname.pom";;
#Bootstracp builds an incomplete ant-junit, don't ship it
%if %with bootstrap
  ant-junit) continue;;
%endif
#These go into %%{_javadir}/ant
  *) destdir=%{buildroot}%{_javadir}/%{name}; destname="/%{name}";
  esac

  #instal jar
  install -m 644 ${jar} ${destdir}/${jarname}.jar
  # jar aliases
  ln -sf ../../java${destname}/${jarname}.jar %{buildroot}%{ant_home}/lib/${jarname}.jar

  #bootstrap does not have a pom
  [ $jarname == ant-bootstrap ] && continue

  #install pom
  install -m 644 src/etc/poms/${jarname}/pom.xml %{buildroot}%{_mavenpomdir}/${pomname}
  %add_to_maven_depmap org.apache.ant ${jarname} %{version} JPP${destname} ${jarname}
done

# add backward compatibility for nodeps jar that is now part of
# main jar
%add_to_maven_depmap org.apache.ant ant-nodeps %{version} JPP ant

#ant-parent pom
install -m 644 src/etc/poms/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_to_maven_depmap org.apache.ant ant-parent %{version} JPP ant-parent

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
cp -p src/etc/*.xsl %{buildroot}%{ant_home}/etc

# install everything else
mkdir -p %{buildroot}%{_bindir}
%if %without bootstrap
cp -p src/script/* %{buildroot}%{_bindir}
%else
cp -p src/script/ant{,Run} %{buildroot}%{_bindir}
%endif

# default ant.conf
mkdir -p %{buildroot}%{_sysconfdir}
cp -p %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}.conf

# OPT_JAR_LIST fragments
mkdir -p %{buildroot}%{_sysconfdir}/%{name}.d
echo "ant/ant-jmf" > %{buildroot}%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-swing" > %{buildroot}%{_sysconfdir}/%{name}.d/swing
%if %without bootstrap
echo "antlr ant/ant-antlr" > %{buildroot}%{_sysconfdir}/%{name}.d/antlr
echo "bsf ant/ant-apache-bsf" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-bsf
echo "xml-commons-resolver ant/ant-apache-resolver" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-resolver
echo "jakarta-commons-logging ant/ant-commons-logging" > %{buildroot}%{_sysconfdir}/%{name}.d/commons-logging
%if %{with jakarta}
echo "jakarta-commons-net ant/ant-commons-net" > %{buildroot}%{_sysconfdir}/%{name}.d/commons-net
%else
echo "apache-commons-net ant/ant-commons-net" > %{buildroot}%{_sysconfdir}/%{name}.d/commons-net
%endif
#echo "jai ant/ant-jai" > %{buildroot}%%{_sysconfdir}/%%{name}.d/jai
echo "bcel ant/ant-apache-bcel" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-bcel
echo "log4j ant/ant-apache-log4j" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-log4j
echo "oro ant/ant-apache-oro" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-regexp
echo "xalan-j2 xalan-j2-serializer ant/ant-apache-xalan2" > %{buildroot}%{_sysconfdir}/%{name}.d/apache-xalan2
echo "javamail jaf ant/ant-javamail" > %{buildroot}%{_sysconfdir}/%{name}.d/javamail
echo "jdepend ant/ant-jdepend" > %{buildroot}%{_sysconfdir}/%{name}.d/jdepend
echo "jsch ant/ant-jsch" > %{buildroot}%{_sysconfdir}/%{name}.d/jsch
echo "junit ant/ant-junit" > %{buildroot}%{_sysconfdir}/%{name}.d/junit
echo "junit ant/ant-junit4" > %{buildroot}%{_sysconfdir}/%{name}.d/junit4
echo "junit4 ant/ant-junit" > %{buildroot}%{_sysconfdir}/%{name}.d/junit
echo "junit4 ant/ant-junit4" > %{buildroot}%{_sysconfdir}/%{name}.d/junit4
echo "testutil ant/ant-testutil" > %{buildroot}%{_sysconfdir}/%{name}.d/testutil
%endif

%if %{build_javadoc}
# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}
%endif

# fix link between manual and javadoc
(cd manual; ln -sf %{_javadocdir}/%{name} api)

%if %with bootstrap
find %{buildroot}%{_datadir}/ant/etc -type f -name "*.xsl" \
                                                 -a ! -name ant-update.xsl \
                                                 -a ! -name changelog.xsl \
                                                 -a ! -name coverage-frames.xsl \
                                                 -a ! -name junit-frames-xalan1.xsl \
                                                 -a ! -name log.xsl \
                                                 -a ! -name mmetrics-frames.xsl \
                                                 -a ! -name tagdiff.xsl \
                                                 | xargs -t rm
%endif

# Delete bogus jars that were built, but are dummies because we lack
# a build dependency
cd %{buildroot}%{_javadir}/ant
for i in *; do
    if [ `jar tf $i |grep -v META-INF |wc -l` -eq 0 ]; then
        rm -f $i
        rm -f %{buildroot}%{ant_home}/lib/$i
    fi
done

%changelog
